Applications
List Deployments
Section titled “List Deployments”GET /applications/{application_id}/deploymentsPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "items": [ {} ], "pagination": {}}Observability
Section titled “Observability”GET /applications/{application_id}/observabilityPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "range": "string", "history": [ { "timestamp": {}, "cpu_usage_m": {}, "memory_usage_bytes": {}, "pod_count": {}, "restart_count": {} } ]}Pipeline Metrics
Section titled “Pipeline Metrics”GET /applications/{application_id}/pipeline-metricsPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "build": {}, "release": {}, "deploy": {}}Pipeline Status
Section titled “Pipeline Status”GET /applications/{application_id}/pipeline-statusPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "build": {}, "release": {}, "deploy": {}}List Applications
Section titled “List Applications”GET /applications/{org_slug}/{project_slug}Path parameters:
| Name | Type | Description |
|---|---|---|
org_slug | string | |
project_slug | string |
Response:
[ { "id": "string", "name": "string", "slug": "string", "project_id": "string", "platform": "string", "created": {}, "latest_image_version": {}, "latest_release_version": {}, "latest_deployment_complete": {} }]Get Application
Section titled “Get Application”GET /applications/{org_slug}/{project_slug}/{app_slug}Path parameters:
| Name | Type | Description |
|---|---|---|
org_slug | string | |
project_slug | string | |
app_slug | string |
Response:
{ "id": "string", "name": "string", "slug": "string", "project_id": "string", "project_slug": "string", "organization_slug": "string", "platform": "string", "process_counts": {}, "process_pod_classes": {}, "github_repository": {}, "github_repository_is_private": true, "auto_deploy_branch": {}, "subdirectory": {}, "github_app_installation_id": {}, "github_environment_name": {}, "deployment_timeout": {}, "health_check_path": "string", "health_check_host": {}, "privileged": true, "created": {}, "updated": {}, "latest_image": {}, "latest_release": {}, "latest_deployment": {}}Create Application
Section titled “Create Application”POST /applicationsRequest body:
{ "name": "string", "slug": "string", "project_id": "string"}Response:
{ "id": "string", "name": "string", "slug": "string", "project_id": "string", "project_slug": "string", "organization_slug": "string", "platform": "string", "process_counts": {}, "process_pod_classes": {}, "github_repository": {}, "github_repository_is_private": true, "auto_deploy_branch": {}, "subdirectory": {}, "github_app_installation_id": {}, "github_environment_name": {}, "deployment_timeout": {}, "health_check_path": "string", "health_check_host": {}, "privileged": true, "created": {}, "updated": {}, "latest_image": {}, "latest_release": {}, "latest_deployment": {}}Full Deploy
Section titled “Full Deploy”POST /applications/{application_id}/deployPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Response:
{ "ok": true, "image_id": "string"}Scale Application
Section titled “Scale Application”POST /applications/{application_id}/scalePath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Request body:
{ "process_counts": {}, "process_pod_classes": {}}Response:
{ "id": "string", "name": "string", "slug": "string", "project_id": "string", "project_slug": "string", "organization_slug": "string", "platform": "string", "process_counts": {}, "process_pod_classes": {}, "github_repository": {}, "github_repository_is_private": true, "auto_deploy_branch": {}, "subdirectory": {}, "github_app_installation_id": {}, "github_environment_name": {}, "deployment_timeout": {}, "health_check_path": "string", "health_check_host": {}, "privileged": true, "created": {}, "updated": {}, "latest_image": {}, "latest_release": {}, "latest_deployment": {}}Update Settings
Section titled “Update Settings”PATCH /applications/{application_id}/settingsPath parameters:
| Name | Type | Description |
|---|---|---|
application_id | string |
Request body:
{ "github_repository": {}, "github_repository_is_private": {}, "auto_deploy_branch": {}, "subdirectory": {}, "github_app_installation_id": {}, "github_environment_name": {}, "deployment_timeout": {}, "health_check_path": {}, "health_check_host": {}}Response:
{ "id": "string", "name": "string", "slug": "string", "project_id": "string", "project_slug": "string", "organization_slug": "string", "platform": "string", "process_counts": {}, "process_pod_classes": {}, "github_repository": {}, "github_repository_is_private": true, "auto_deploy_branch": {}, "subdirectory": {}, "github_app_installation_id": {}, "github_environment_name": {}, "deployment_timeout": {}, "health_check_path": "string", "health_check_host": {}, "privileged": true, "created": {}, "updated": {}, "latest_image": {}, "latest_release": {}, "latest_deployment": {}}